Skip to main content
PATCH
/
v1
/
event-sources
/
{sourceID}
Update an event source
curl --request PATCH \
  --url https://api.strait.dev/v1/event-sources/{sourceID} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "enabled": true,
  "name": "<string>",
  "schema": "<unknown>",
  "signature_algorithm": "<string>",
  "signature_header": "<string>",
  "signature_secret": "<string>"
}
'
{
  "$schema": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

sourceID
string
required

Body

application/json
description
string
enabled
boolean
name
string
schema
any
signature_algorithm
string
signature_header
string
signature_secret
string

Response

No Content